Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 513276 - =dev-perl/Math-BigInt-GMP-1.380.0 fails tests: Failed test at t/bigfltpm.inc line 182.
Summary: =dev-perl/Math-BigInt-GMP-1.380.0 fails tests: Failed test at t/bigfltpm.inc ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on: 518064
Blocks: perl-testfailure
  Show dependency tree
 
Reported: 2014-06-15 00:58 UTC by Jeroen Roovers (RETIRED)
Modified: 2014-07-30 15:52 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
amd64-dev-perl:Math-BigInt-GMP-1.380.0:20140615-004524.log (dev-perl:Math-BigInt-GMP-1.380.0:20140615-004524.log,14.36 KB, text/plain)
2014-06-15 00:58 UTC, Jeroen Roovers (RETIRED)
Details
hppa-dev-perl:Math-BigInt-GMP-1.380.0:20140614-204445.log (dev-perl:Math-BigInt-GMP-1.380.0:20140614-204445.log,15.25 KB, text/plain)
2014-06-15 01:00 UTC, Jeroen Roovers (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers (RETIRED) gentoo-dev 2014-06-15 00:58:58 UTC
Created attachment 378914 [details]
amd64-dev-perl:Math-BigInt-GMP-1.380.0:20140615-004524.log

The same tests fail on both HPPA and AMD64. 1.370.0 is good on both.

Sun Jun 15 02:57:56 CEST 2014
emerge --info =dev-perl/Math-BigInt-GMP-1.37.80.0
Portage 2.2.10 (default/linux/amd64/13.0/no-multilib, gcc-4.7.3, glibc-2.18-r1, 3.12.20-gentoo-JeR x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.12.20-gentoo-JeR-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_4200+-with-gentoo-2.2
KiB Mem:     3087872 total,    522540 free
KiB Swap:    3145724 total,   3025992 free
Timestamp of tree: Sat, 14 Jun 2014 15:45:01 +0000
ld GNU ld (Gentoo 2.23.2 p1.0) 2.23.2
distcc 3.1 x86_64-pc-linux-gnu [enabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.6, 3.3.3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.14.1
sys-devel/binutils:       2.23.1, 2.23.2
sys-devel/gcc:            4.7.3-r1, 4.8.2
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.18-r1
Repositories: gentoo JeR steam-overlay qt
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* AdobeFlash-10.1"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8-sse3 -mno-cx16 -msahf -mno-movbe -mno-aes -mno-pclmul -mno-popcnt -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-tbm -mno-avx -mno-sse4.2 -mno-sse4.1 --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -mtune=k8 -O2 -g -Wall -fstack-protector -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/tinyproxy.conf /usr/lib/distcc/bin /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=k8-sse3 -mno-cx16 -msahf -mno-movbe -mno-aes -mno-pclmul -mno-popcnt -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-tbm -mno-avx -mno-sse4.2 -mno-sse4.1 --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -mtune=k8 -O2 -g -Wall -fstack-protector"
DISTDIR="/world/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n"
FCFLAGS="-march=k8-sse3 -mno-cx16 -msahf -mno-movbe -mno-aes -mno-pclmul -mno-popcnt -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-tbm -mno-avx -mno-sse4.2 -mno-sse4.1 --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -mtune=k8 -O2 -g -Wall -fstack-protector -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distcc distlocks ebuild-locks fixlafiles merge-sync multilib-strict news notitles parallel-fetch preserve-libs protect-owned sandbox sfperms sign splitdebug strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=k8-sse3 -mno-cx16 -msahf -mno-movbe -mno-aes -mno-pclmul -mno-popcnt -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-tbm -mno-avx -mno-sse4.2 -mno-sse4.1 --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -mtune=k8 -O2 -g -Wall -fstack-protector -pipe"
GENTOO_MIRRORS=" http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://gentoo.tiscali.nl/ http://mirror.leaseweb.com/gentoo/ "
LANG="en_GB.utf8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/world/gentoo/packages/wieneke"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/world/gentoo/portage"
PORTDIR_OVERLAY="/keeps/gentoo/local /newaches/gentoo/layman/steam /newaches/gentoo/layman/qt"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="256-color 3dnow 3dnowext 64bit X a52 aac aalib acl acpi alsa amd64 amr bash-completion berkdb bluetooth bzip2 cairo canusb cli cracklib crypt cups custom-cflags custom-optimization cxx dbus declarative device-mapper dirac distinct-l djvu dnssec dri dts dv dvd exif extras faac fortran gdbm geoip gif graphite gsm gstreamer gtk gtk3 gudev hwdb iconv idn ipq ipv6 jpeg jpeg2k json kde keymap kmod kqemu kvm lcms libdnet libmpdclient libnet libnl libopts lz4 lzma lzo minizip mjpeg mms mmx mmxext modules mp3 mpeg mpi multislot multitarget musepack ncurses nethack network nfq nfsidmap nfsv41 nls nptl ntfsprogs offensive ogg opengl openmp openrc pam pcre pdf perl perl-geoipupdate playlist png postscript python qt3support qt4 quicktime quvi rar readline romio rpc rtmp schroedinger screen sctp session smp speex spidermonkey spoof-source sqlite sse sse2 sse3 ssl svg symux tcpd tfo theora threads tiff truetype unicode unwind upcall v4l v4l2 vaapi vcd vde vdpau vim-syntax vorbis vpx wavpack wmf x264 xattr xcb xft xkb xml xnest xosd xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB nl" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2014-06-15 01:00:02 UTC
Created attachment 378916 [details]
hppa-dev-perl:Math-BigInt-GMP-1.380.0:20140614-204445.log

Sun Jun 15 02:59:42 CEST 2014
emerge --info =dev-perl/Math-BigInt-GMP-1.37.80.0
Portage 2.2.10 (default/linux/hppa/13.0, gcc-4.7.3, glibc-2.17, 3.15.0-gentoo-r1-JeR parisc64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.15.0-gentoo-r1-JeR-parisc64-PA8800_-Mako-with-gentoo-2.2
KiB Mem:     8231812 total,   6124788 free
KiB Swap:    2101676 total,   2101676 free
Timestamp of tree: Sat, 14 Jun 2014 15:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 hppa2.0-unknown-linux-gnu [enabled]
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p45
dev-lang/python:          2.7.6, 3.2.5-r3, 3.3.3
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.12.2
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.22-r1, 2.23.1, 2.23.2, 2.24-r3
sys-devel/gcc:            4.6.3, 4.7.2-r1, 4.7.3-r1, 4.8.1-r1, 4.8.2
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo JeR
ACCEPT_KEYWORDS="hppa"
ACCEPT_LICENSE="*"
CBUILD="hppa2.0-unknown-linux-gnu"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe -Wno-comment"
CHOST="hppa2.0-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib/distcc/bin /usr/lib/python2.6/site-packages/buildbot/status/web /usr/lib/python2.7/site-packages/buildbot/status/web /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /var/bind /var/spool/torque /var/www/localhost/htdocs/wordpress/wp-config.php"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe"
DISTDIR="/world/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n"
FCFLAGS=""
FEATURES="assume-digests binpkg-logs buildpkg cgroup config-protect-if-modified distcc distlocks ebuild-locks fixlafiles merge-sync metadata-transfer news notitles parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict test test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe"
GENTOO_MIRRORS="ftp://gentoo.imj.fr/pub/gentoo/ ftp://mirror.netcologne.de/gentoo/ ftp://mirror.netcologne.de/gentoo/ ftp://91.121.124.139/gentoo-distfiles/"
LANG="C"
LC_ALL="C"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed"
MAKEOPTS="-j6"
PKGDIR="/keeps/gentoo/packages/karsten"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/dev/shm"
PORTDIR="/world/gentoo/portage"
PORTDIR_OVERLAY="/keeps/gentoo/local"
SYNC="rsync://rsync.nl.gentoo.org/gentoo-portage"
USE="256-color X acl alsa amr anacron apng audit bash-completion berkdb bfio bittorrent bzip2 cairo canberra cli coverage cracklib crossdev crypt cups custom-cflags cxx dane dbus declarative dirac directfb distinct-l dlz doc dot dri emacs exif expat fbcon filecaps firefox firmware foomaticdb fortran frontend-optional gbm gdbm geoip geoloc glep gles1 gles2 gost gpm graphite gsm gstreamer gtk gudev guile hddtemp hppa hwdb iconv idn imlib inotify ipv6 jadetex javascript jingle jit jpeg jpeg2k json kdrive kmod ladspa lasi launch-frontend libcaca libcanberra libevent libopts libsoxr libusb libwww lua lzma lzo mad mng mod modplug modules mp3 multislot multitarget munge nagios ncurses netlink nls nptl objc objc++ objc-gc offensive openexr opengl openmp openrc openvg opus osmesa oss pam pcre php pic pkcs11 png pnm policykit python qt qt3support qt4 quvi readline regression-test rtmp samba schroedinger session smi socks5 speex spell spidermonkey sqlite ssl tcl tcpd test tga theora threads tiff tk tokyocabinet truetype unicode unwind v4l vim-syntax vorbis vpx wayland wcwidth x264 xa xattr xcb xft xhtml xkb xml2 xvfb xvid zlib" ALSA_CARDS="ad1889 usb-audio" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="event" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" DRACUT_MODULES="nfs syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev joystick keyboard mouse acecad aiptek calcomp citron digitaledge dmc dynapro elo2300 elographics fpit hyperpen jamstudio magellan microtouch mutouch palmax penmount spaceorb summa tek4957 tslib ur98 void" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en nl he" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="stifb dummy" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.2 3.3"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-06-15 09:05:39 UTC
Not a regression. Should not block stabilization. But thanks for the report.
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2014-06-15 12:18:11 UTC
(In reply to Mikle Kolyada from comment #2)
> Not a regression. Should not block stabilization. But thanks for the report.

How isn't this a regression? 1.24 and 1.370.0 have no such problem and 1.380.0 does.

I'd like to at least know why the tests fail before I stabilise 1.380.0.
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-06-15 12:56:02 UTC
(In reply to Jeroen Roovers from comment #3)
> (In reply to Mikle Kolyada from comment #2)
> > Not a regression. Should not block stabilization. But thanks for the report.
> 
> How isn't this a regression? 1.24 and 1.370.0 have no such problem and
> 1.380.0 does.
> 
> I'd like to at least know why the tests fail before I stabilise 1.380.0.

1.24 have this issue too. (tested by me in clean amd64/arm/sparc/x86 chroots)
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2014-06-15 13:08:07 UTC
(In reply to Mikle Kolyada from comment #4)
> (In reply to Jeroen Roovers from comment #3)
> > (In reply to Mikle Kolyada from comment #2)
> > > Not a regression. Should not block stabilization. But thanks for the report.
> > 
> > How isn't this a regression? 1.24 and 1.370.0 have no such problem and
> > 1.380.0 does.
> > 
> > I'd like to at least know why the tests fail before I stabilise 1.380.0.
> 
> 1.24 have this issue too. (tested by me in clean amd64/arm/sparc/x86 chroots)

My old build logs don't show that, so what you are seeing is caused by a newer or changed dependency (perl, Math-BigInt, even dev-libs/gmp?) being used. What changed?
Comment 6 Myckel Habets 2014-06-25 07:00:01 UTC
Confirmed on x86 as well.

emerge --info
Portage 2.2.8-r1 (default/linux/x86/13.0, gcc-4.7.3, glibc-2.17, 3.12.21-gentoo-r1 i686)
=================================================================
System uname: Linux-3.12.21-gentoo-r1-i686-Intel-R-_Celeron-R-_CPU_2.40GHz-with-gentoo-2.2
KiB Mem:      504868 total,    258044 free
KiB Swap:     506040 total,    506040 free
Timestamp of tree: Sun, 22 Jun 2014 11:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 i686-pc-linux-gnu [enabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.6.8-r3, 2.7.6, 3.2.5-r3, 3.3.3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.11.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA -dlj-1.1 Oracle-BCLA-JavaSE IBM-J1.6"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium4 -pipe -O2"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=pentium4 -pipe -O2"
DISTDIR="/home/distfiles"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distcc distlocks ebuild-locks fixlafiles merge-sync news nostrip parallel-fetch preserve-libs protect-owned sandbox sfperms strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="nl_NL.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/home/portage"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
USE="X accessibility acl alsa apng assistant avahi bash-completion berkdb bluetooth bzip2 cairo cli compat corefonts cracklib crypt cups curl cxx dbus deprecated devil dri expat extensions extras fam fbcon fontconfig fortran fts3 gdbm gdu gif glib gmp gnutls gpm gtk gtk3 gudev hwdb iconv icu ipv6 java jpeg keymap lapack latex libnotify libssh2 md5sum midi mikmod minizip mmx mod modules mp3 ncurses nls nptl nsplugin objc ogg opengl openmp pam pcre php pic png postscript python qt3support qt4 readline ruby sdl session smpeg sockets sqlite sse sse2 ssl startup-notification svg tcpd threads thunar tiff timidity tk tordns truetype udev udisks unicode v4l2 vorbis webdav x86 xcb xml xvfb zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="nl" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2 python3_3 jython2_5" RUBY_TARGETS="ruby19 jruby ruby20" USERLAND="GNU" VIDEO_CARDS="vesa intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Comment 7 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-06-28 17:30:37 UTC
(In reply to Jeroen Roovers from comment #5)
> (In reply to Mikle Kolyada from comment #4)
> > (In reply to Jeroen Roovers from comment #3)
> > > (In reply to Mikle Kolyada from comment #2)
> > > > Not a regression. Should not block stabilization. But thanks for the report.
> > > 
> > > How isn't this a regression? 1.24 and 1.370.0 have no such problem and
> > > 1.380.0 does.
> > > 
> > > I'd like to at least know why the tests fail before I stabilise 1.380.0.
> > 
> > 1.24 have this issue too. (tested by me in clean amd64/arm/sparc/x86 chroots)
> 
> My old build logs don't show that, so what you are seeing is caused by a
> newer or changed dependency (perl, Math-BigInt, even dev-libs/gmp?) being
> used. What changed?

Still can't catch it (Still failed for me)
Comment 8 Jeroen Roovers (RETIRED) gentoo-dev 2014-06-28 18:00:51 UTC
(In reply to Mikle Kolyada from comment #7)
> Still can't catch it (Still failed for me)

Catch what? What failed?
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-06-28 19:15:00 UTC
(In reply to Jeroen Roovers from comment #8)
> (In reply to Mikle Kolyada from comment #7)
> > Still can't catch it (Still failed for me)
> 
> Catch what? What failed?

I just confused, that it is ok for you previously, Don't understand why.
Comment 10 Kent Fredric (IRC: kent\n) gentoo-dev 2014-07-25 05:47:59 UTC
At the top of the log there's this:

> Warning: prerequisite Math::BigInt 1.9993 not found. We have 1.997.

That should be enough to know something is wrong.

1.999.300 is still hardmasked.

Failure to satisfy prerequisites listed in Makefile.PL and META.json voids your warranty with upstream.

The author of Math-BigInt is also the author of Math-BigInt-GMP

Math-BigInt 1.999.300 adds a new function 'bint' on Math::BigInt::Float

> https://metacpan.org/source/PJACKLAM/Math-BigInt-1.9993//lib/Math/BigFloat.pm#L3443

which appears to be referred to somehow by Math-BigInt-GMP

> https://metacpan.org/source/PJACKLAM/Math-BigInt-GMP-1.38//t/bigintpm.inc#L2680

What happens beyond that is a bit beyond my patience to understand, it compiles the function into some sort of eval code, executes it in eval, and then compares the answer with the expected value.

'bint' not existing of course results in the eval to have a compile/runtime failure somewhere, causing the return value of the eval to return undef, and the undef thus being compared with the expected value being false.
Comment 11 Andreas K. Hüttel gentoo-dev 2014-07-26 12:03:29 UTC
Math::BigInt 1.9993 bumped and unmasked; dependency raised. Please retest.
Comment 12 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-07-30 15:52:24 UTC
Should be fixed now. Please go ahead.